import request from '@/utils/request'

// 查询超速推送列表
export function listSpeedingPush(query) {
  return request({
    url: '/system/SpeedingPush/list',
    method: 'get',
    params: query
  })
}

// 查询超速推送详细
export function getSpeedingPush(id) {
  return request({
    url: '/system/SpeedingPush/' + id,
    method: 'get'
  })
}

// 新增超速推送
export function addSpeedingPush(data) {
  return request({
    url: '/system/SpeedingPush',
    method: 'post',
    data: data
  })
}

// 修改超速推送
export function updateSpeedingPush(data) {
  return request({
    url: '/system/SpeedingPush',
    method: 'put',
    data: data
  })
}

// 删除超速推送
export function delSpeedingPush(id) {
  return request({
    url: '/system/SpeedingPush/' + id,
    method: 'delete'
  })
}
